Skip to main content
GET
Retrieve a price book

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectId
string
required

The unique identifier of the object to read.

objectType
string
required

The type of the object to read.

Query Parameters

archived
boolean
default:false

Whether to return only results that have been archived. Defaults to false.

associations
string[]

A comma-separated list of object types to retrieve associated IDs for. If any of the specified associations do not exist, they will be ignored.

idProperty
string

The name of a property whose values are unique for this object type.

properties
string[]

A comma-separated list of the properties to be returned in the response. If any of the specified properties are not present on the requested object(s), they will be ignored.

propertiesWithHistory
string[]

A comma-separated list of the properties to be returned along with their history of previous values. If any of the specified properties are not present on the requested object(s), they will be ignored.

Response

successful operation

Represents a CRM object along with its properties, timestamps, and a set of associated object IDs grouped by association type.

archived
boolean
required

A boolean indicating whether this object is archived.

createdAt
string<date-time>
required

The date and time when this object was created, in ISO 8601 format.

id
string
required

The unique identifier for this object, represented as a string.

properties
object
required

A map of property names to their values, where each value is a string.

updatedAt
string<date-time>
required

The date and time when this object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The date and time when this object was archived, in ISO 8601 format.

associations
object

A map of associated object types to their collection of associated IDs.

objectWriteTraceId
string

A string representing the trace ID for the object write operation.

propertiesWithHistory
object

A map of property names to their historical values, where each value is an array of objects containing the value and timestamp.

url
string

A string representing the URL of the object.

warnings
object[]

An array of warnings related to the object, each containing a category, message, and context.

Last modified on August 3, 2026